package cn.zhangdeman;


import jakarta.servlet.*;
import jakarta.servlet.annotation.WebFilter;
import org.springframework.core.annotation.Order;

import java.io.IOException;


// 初始化请求
@WebFilter("/*") // 所有接口请求均会触发次过滤器
@Order(Ordered.REQUEST_ID) // 足够小, 保证最先执行
public class RequestInitFilter implements Filter {
    @Override
    public void init(FilterConfig filterConfig) throws ServletException {
    }

    @Override
    public void destroy() {
    }

    @Override
    public void doFilter(ServletRequest servletRequest, ServletResponse servletResponse, FilterChain filterChain) throws IOException, ServletException {
        InitRequestData initRequestData = new InitRequestData();
        setBaseInfo(initRequestData); // 设置基础信息
        setRequestId(); // 设置请求ID, 每次请求军重新生成
    }

    // 设置基础信息
    private void setBaseInfo(InitRequestData initRequestData) {
        initRequestData.setStartTimeStamp(System.currentTimeMillis()); // 开始请求时间
    }

    // 设置请求ID
    private void setRequestId() {
    }
}
